/*
 * RSSBot
 * Copyright (C) 2023 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.rssbot.extensions.components

import com.kotlindiscord.kord.extensions.commands.application.slash.converters.ChoiceEnum
import net.moonleay.rssbot.util.EmbedColor

enum class FeedColor(override val readableName: String, val color: EmbedColor) : ChoiceEnum {
    RED("Red", EmbedColor.RED),
    ORANGE("Orange", EmbedColor.ORANGE),
    YELLOW("Yellow", EmbedColor.YELLOW),
    GREEN("Green", EmbedColor.GREEN),
    CYAN("Cyan", EmbedColor.CYAN),
    LIGHTBLUE("Light Blue", EmbedColor.LIGHTBLUE),
    BLUE("Blue", EmbedColor.BLUE),
    PURPLE("Purple", EmbedColor.PURPLE),
    PINK("Pink", EmbedColor.PINK),
}

